commit 227e1402ea3687ee294f08eefb374ae7a1e4d2d7
Author: Daniel Kobras <d.kobras@science-computing.de>
Date:   Thu Nov 8 13:17:13 2012 +0100

    LU-2302 scripts: fix lfs_migrate with non-English locale
    
    Parsing of stat output assumes an English locale. Make sure
    this is always the case.
    
    Signed-off-by: Daniel Kobras <d.kobras@science-computing.de>
    Change-Id: I66acd6eb49cac749db701b97a5a375dc3b141a01

diff --git a/lustre/scripts/lfs_migrate b/lustre/scripts/lfs_migrate
index f194be2..0bb2a21 100755
--- a/lustre/scripts/lfs_migrate
+++ b/lustre/scripts/lfs_migrate
@@ -99,7 +99,7 @@ lfs_migrate() {
 		$ECHO -n "$OLDNAME: "
 
 		# avoid duplicate stat if possible
-		TYPE_LINK=($(stat -c "%h %F" "$OLDNAME" || true))
+		TYPE_LINK=($(LANG=C stat -c "%h %F" "$OLDNAME" || true))
 
 		# skip non-regular files, since they don't have any objects
 		# and there is no point in trying to migrate them.
